Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_FilterAdmin_i Class Reference

TAO_Notify_FilterAdmin_i. More...

`#include <Notify_FilterAdmin_i.h>`

Collaboration diagram for TAO_Notify_FilterAdmin_i:

[legend]
List of all members.

## Public Methods
| TAO_Notify_FilterAdmin_i (void)
| Constructor. More...
virtual | ~TAO_Notify_FilterAdmin_i (void)
| Destructor. More...
CORBA::Boolean | match (TAO_Notify_Event &event ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotifyFilter::UnsupportedFilterableData )
| See if any of the filters match. More...
virtual CosNotifyFilter::FilterID | add_filter (CosNotifyFilter::Filter_ptr new_filter ACE_ENV_ARG_DECL) throw ( CORBA::SystemException )
virtual void | remove_filter (CosNotifyFilter::FilterID filter ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotifyFilter::FilterNotFound )
virtual CosNotifyFilter::Filter_ptr | get_filter (CosNotifyFilter::FilterID filter ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotifyFilter::FilterNotFound )
virtual CosNotifyFilter::FilterIDSeq * | get_all_filters (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual void | remove_all_filters (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
## Private Types
typedef ACE_Hash_Map_Manager< CosNotifyFilter::FilterID, CosNotifyFilter::Filter_var, TAO_SYNCH_MUTEX > | FILTER_LIST
| List of filters. More...
## Private Attributes
FILTER_LIST | filter_list_
TAO_Notify_ID_Pool_Ex< CosNotifyFilter::FilterID, CosNotifyFilter::FilterIDSeq > | filter_ids_
| Id generator for proxy suppliers. More...

## Detailed Description

TAO_Notify_FilterAdmin_i.

## Member Typedef Documentation

typedef ACE_Hash_Map_Manager<CosNotifyFilter::FilterID, CosNotifyFilter::Filter_var, TAO_SYNCH_MUTEX> TAO_Notify_FilterAdmin_i::FILTER_LIST`[private]`

| List of filters.

## Constructor & Destructor Documentation

TAO_Notify_FilterAdmin_i::TAO_Notify_FilterAdmin_i | ( | void |  | ) |

| Constructor.

TAO_Notify_FilterAdmin_i::~TAO_Notify_FilterAdmin_i | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

CosNotifyFilter::FilterID TAO_Notify_FilterAdmin_i::add_filter | ( | CosNotifyFilter::Filter_ptr new_filter | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException )`[virtual]`

CosNotifyFilter::FilterIDSeq * TAO_Notify_FilterAdmin_i::get_all_filters | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

CosNotifyFilter::Filter_ptr TAO_Notify_FilterAdmin_i::get_filter | ( | CosNotifyFilter::FilterID filter | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, CosNotifyFilter::FilterNotFound )`[virtual]`

CORBA::Boolean TAO_Notify_FilterAdmin_i::match | ( | TAO_Notify_Event &event | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, CosNotifyFilter::UnsupportedFilterableData )

| See if any of the filters match.

void TAO_Notify_FilterAdmin_i::remove_all_filters | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

virtual void TAO_Notify_FilterAdmin_i::remove_filter | ( | CosNotifyFilter::FilterID filter | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, CosNotifyFilter::FilterNotFound )`[virtual]`

## Member Data Documentation

TAO_Notify_ID_Pool_Ex<CosNotifyFilter::FilterID,CosNotifyFilter::FilterIDSeq> TAO_Notify_FilterAdmin_i::filter_ids_`[private]`

| Id generator for proxy suppliers.

FILTER_LIST TAO_Notify_FilterAdmin_i::filter_list_`[private]`

The documentation for this class was generated from the following files:

- Notify_FilterAdmin_i.h
- Notify_FilterAdmin_i.cpp